// Better than setTimeout(), because you know if it has been triggered (check member 'cleared')
// var timeout = new Timeout(func, 100);
// timeout.clear();

function Timeout(fn, interval, scope, args) {
    scope = scope || window;
    var self = this;
    var wrap = function(){
        self.clear();
        fn.apply(scope, args || arguments);
    };
    this.id = setTimeout(wrap, interval);
}
Timeout.prototype.id = null;
Timeout.prototype.cleared = false;
Timeout.prototype.clear = function () {
	var wasCleared = this.cleared;
	if (!wasCleared) {
	    this.cleared = true;
		clearTimeout(this.id);
	    this.id = null;
	}
	return !wasCleared;
};