var User = new Class({
	initialize: function() {
		this.id = null;
		this.password = null;
		this.accessToken = null;
		this.facebookId = null;
		this.email = null;
		this.name = null;
		this.loggedOn = false;
	},
	login: function(callWhenLoggedIn) {
		var request = new GameRequest('login', this.onLoginSuccess.bind(this), this.onLoginFailure.bind(this));	
		this.callWhenLoggedIn = callWhenLoggedIn;
		request.send({
			accessToken : this.accessToken,
			facebookId : this.facebookId
		});		
	},
	onLoginSuccess: function(response) {
		if (response.password) {
			this.init(response.userId, response.password, response.name);
			if (isFunction(this.callWhenLoggedIn)) 
				this.callWhenLoggedIn();
		} else {
			this.loggedOn = false;
		}		
	},
	onLoginFailure: function(response) {
		this.loggedOn = false;
		if (response)
			throw new Error('Could not log on. Error: ' + response.errorMessage).setName(response.result);
		else
			throw new Error('Could not log on.');
	},
	init: function(userId, password, name) {
		this.id = userId;
		this.password = password;
		this.name = name;
		this.loggedOn = true;
	},
	getProfilePictureURL: function() {
		return 'http://graph.facebook.com/' + this.facebookId + '/picture';
	}
});